Index: include/asterisk/pbx.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/pbx.h,v
retrieving revision 1.38
diff -u -r1.38 pbx.h
--- include/asterisk/pbx.h	13 Jan 2005 05:14:56 -0000	1.38
+++ include/asterisk/pbx.h	15 Jan 2005 05:16:05 -0000
@@ -23,24 +23,24 @@
 #define AST_PBX_KEEP    0
 #define AST_PBX_REPLACE 1
 
-//! Max length of an application
+/* ! Max length of an application */
 #define AST_MAX_APP	32
 
-//! Special return values from applications to the PBX
+/* ! Special return values from applications to the PBX */
 #define AST_PBX_KEEPALIVE	10		/* Destroy the thread, but don't hang up the channel */
 #define AST_PBX_NO_HANGUP_PEER       11
 
-//! Special Priority for an hint
+/* ! Special Priority for an hint */
 #define PRIORITY_HINT	-1
 
-//! Extension states
-//! No device INUSE or BUSY 
+/* ! Extension states */
+/* ! No device INUSE or BUSY  */
 #define AST_EXTENSION_NOT_INUSE		0
-//! One or more devices INUSE
+/* ! One or more devices INUSE */
 #define AST_EXTENSION_INUSE		1
-//! All devices BUSY
+/* ! All devices BUSY */
 #define AST_EXTENSION_BUSY		2
-//! All devices UNAVAILABLE/UNREGISTERED
+/* ! All devices UNAVAILABLE/UNREGISTERED */
 #define AST_EXTENSION_UNAVAILABLE 	3
 
 struct ast_context;
@@ -53,7 +53,7 @@
 
 typedef int (*ast_devstate_cb_type)(const char *dev, int state, void *data);
 
-//! Data structure associated with an asterisk switch
+/* ! Data structure associated with an asterisk switch */
 struct ast_switch {
 	/*! NULL */
 	struct ast_switch *next;	
@@ -89,7 +89,7 @@
 };
 
 
-//! Register an alternative switch
+/* ! Register an alternative switch */
 /*!
  * \param sw switch to register
  * This function registers a populated ast_switch structure with the
@@ -98,7 +98,7 @@
  */
 extern int ast_register_switch(struct ast_switch *sw);
 
-//! Unregister an alternative switch
+/* ! Unregister an alternative switch */
 /*!
  * \param sw switch to unregister
  * Unregisters a switch from asterisk.
@@ -106,7 +106,7 @@
  */
 extern void ast_unregister_switch(struct ast_switch *sw);
 
-//! Look up an application
+/* ! Look up an application */
 /*!
  * \param app name of the app
  * This function searches for the ast_app structure within
@@ -116,7 +116,7 @@
  */
 extern struct ast_app *pbx_findapp(const char *app);
 
-//! executes an application
+/* ! executes an application */
 /*!
  * \param c channel to execute on
  * \param app which app to execute
@@ -129,7 +129,7 @@
  */
 int pbx_exec(struct ast_channel *c, struct ast_app *app, void *data, int newstack);
 
-//! Register a new context
+/* ! Register a new context */
 /*!
  * \param extcontexts pointer to the ast_context structure pointer
  * \param name name of the new context
@@ -141,14 +141,14 @@
  */
 struct ast_context *ast_context_create(struct ast_context **extcontexts, const char *name, const char *registrar);
 
-//! Merge the temporary contexts into a global contexts list and delete from the global list the ones that are being added
+/* ! Merge the temporary contexts into a global contexts list and delete from the global list the ones that are being added */
 /*!
  * \param extcontexts pointer to the ast_context structure pointer
  * \param registar of the context; if it's set the routine will delete all contexts that belong to that registrar; if NULL only the contexts that are specified in extcontexts
  */
 void ast_merge_contexts_and_delete(struct ast_context **extcontexts, const char *registrar);
 
-//! Destroy a context (matches the specified context (or ANY context if NULL)
+/* ! Destroy a context (matches the specified context (or ANY context if NULL) */
 /*!
  * \param con context to destroy
  * \param registrar who registered it
@@ -158,7 +158,7 @@
  */
 void ast_context_destroy(struct ast_context *con, const char *registrar);
 
-//! Find a context
+/* ! Find a context */
 /*!
  * \param name name of the context to find
  * Will search for the context with the given name.
@@ -166,7 +166,7 @@
  */
 struct ast_context *ast_context_find(const char *name);
 
-//! Create a new thread and start the PBX (or whatever)
+/* ! Create a new thread and start the PBX (or whatever) */
 /*!
  * \param c channel to start the pbx on
  * Starts a pbx thread on a given channel
@@ -174,7 +174,7 @@
  */
 int ast_pbx_start(struct ast_channel *c);
 
-//! Execute the PBX in the current thread
+/* ! Execute the PBX in the current thread */
 /*!
  * \param c channel to run the pbx on
  * This executes the PBX on a given channel.  It allocates a new
@@ -199,7 +199,7 @@
 int ast_add_extension(const char *context, int replace, const char *extension, int priority, const char *label, const char *callerid,
 	const char *application, void *data, void (*datad)(void *), const char *registrar);
 
-//! Add an extension to an extension context, this time with an ast_context *.  CallerID is a pattern to match on callerid, or NULL to not care about callerid
+/* ! Add an extension to an extension context, this time with an ast_context *.  CallerID is a pattern to match on callerid, or NULL to not care about callerid */
 /*! 
  * For details about the arguements, check ast_add_extension()
  */
@@ -208,7 +208,7 @@
 					  const char *application, void *data, void (*datad)(void *),
 					  const char *registrar);
 
-//! Add an application.  The function 'execute' should return non-zero if the line needs to be hung up. 
+/* ! Add an application.  The function 'execute' should return non-zero if the line needs to be hung up.  */
 /*!
   \param app Short name of the application
   \param execute a function callback to execute the application
@@ -225,7 +225,7 @@
 int ast_register_application(const char *app, int (*execute)(struct ast_channel *, void *),
 			     const char *synopsis, const char *description);
 
-//! Remove an application
+/* ! Remove an application */
 /*!
  * \param app name of the application (does not have to be the same string as the one that was registered)
  * This unregisters an application from asterisk's internal registration mechanisms.
@@ -233,7 +233,7 @@
  */
 int ast_unregister_application(const char *app);
 
-//! Uses hint and devicestate callback to get the state of an extension
+/* ! Uses hint and devicestate callback to get the state of an extension */
 /*!
  * \param c this is not important
  * \param context which context to look in
@@ -242,7 +242,7 @@
  */
 int ast_extension_state(struct ast_channel *c, char *context, char *exten);
 
-//! Tells Asterisk the State for Device is changed
+/* ! Tells Asterisk the State for Device is changed */
 /*!
  * \param fmt devicename like a dialstring with format parameters
  * Asterisk polls the new extensionstates and calls the registered
@@ -252,7 +252,7 @@
 int ast_device_state_changed(const char *fmt, ...)
 	__attribute__ ((format (printf, 1, 2)));
 
-//! Registers a state change callback
+/* ! Registers a state change callback */
 /*!
  * \param context which context to look in
  * \param exten which extension to get state
@@ -264,7 +264,7 @@
 int ast_extension_state_add(const char *context, const char *exten, 
 			    ast_state_cb_type callback, void *data);
 
-//! Registers a device state change callback
+/* ! Registers a device state change callback */
 /*!
  * \param data to pass to callback
  * The callback is called if the state for extension is changed
@@ -273,7 +273,7 @@
 int ast_devstate_add(ast_devstate_cb_type callback, void *data);
 void ast_devstate_del(ast_devstate_cb_type callback, void *data);
 
-//! Deletes a registered state change callback by ID
+/* ! Deletes a registered state change callback by ID */
 /*!
  * \param id of the callback to delete
  * Removes the callback from list of callbacks
@@ -281,7 +281,7 @@
  */
 int ast_extension_state_del(int id, ast_state_cb_type callback);
 
-//! If an extension exists, return non-zero
+/* ! If an extension exists, return non-zero */
 /*!
  * \param hint buffer for hint
  * \param maxlen size of hint buffer
@@ -294,8 +294,8 @@
  */
 int ast_get_hint(char *hint, int maxlen, struct ast_channel *c, const char *context, const char *exten);
 
-//! If an extension exists, return non-zero
-// work
+/* ! If an extension exists, return non-zero */
+/*  work */
 /*!
  * \param c this is not important
  * \param context which context to look in
@@ -307,8 +307,8 @@
  */
 int ast_exists_extension(struct ast_channel *c, const char *context, const char *exten, int priority, const char *callerid);
 
-//! If an extension exists, return non-zero
-// work
+/* ! If an extension exists, return non-zero */
+/*  work */
 /*!
  * \param c this is not important
  * \param context which context to look in
@@ -321,7 +321,7 @@
 
 int ast_findlabel_extension2(struct ast_channel *c, struct ast_context *con, const char *exten, const char *label, const char *callerid);
 
-//! Looks for a valid matching extension
+/* ! Looks for a valid matching extension */
 /*!
   \param c not really important
   \param context context to serach within
@@ -334,7 +334,7 @@
 */
 int ast_canmatch_extension(struct ast_channel *c, const char *context, const char *exten, int priority, const char *callerid);
 
-//! Looks to see if adding anything to this extension might match something. (exists ^ canmatch)
+/* ! Looks to see if adding anything to this extension might match something. (exists ^ canmatch) */
 /*!
   \param c not really important
   \param context context to serach within
@@ -348,7 +348,7 @@
 */
 int ast_matchmore_extension(struct ast_channel *c, const char *context, const char *exten, int priority, const char *callerid);
 
-//! Determine if a given extension matches a given pattern (in NXX format)
+/* ! Determine if a given extension matches a given pattern (in NXX format) */
 /*!
  * \param pattern pattern to match
  * \param extension extension to check against the pattern.
@@ -357,7 +357,7 @@
  */
 int ast_extension_match(const char *pattern, const char *extension);
 int ast_extension_close(const char *pattern, const char *data, int needmore);
-//! Launch a new extension (i.e. new stack)
+/* ! Launch a new extension (i.e. new stack) */
 /*!
  * \param c not important
  * \param context which context to generate the extension within
@@ -369,7 +369,7 @@
  */
 int ast_spawn_extension(struct ast_channel *c, const char *context, const char *exten, int priority, const char *callerid);
 
-//! Execute an extension.
+/* ! Execute an extension. */
 /*!
   \param c channel to execute upon
   \param context which context extension is in
@@ -381,7 +381,7 @@
 */
 int ast_exec_extension(struct ast_channel *c, const char *context, const char *exten, int priority, const char *callerid);
 
-//! Add an include
+/* ! Add an include */
 /*!
   \param context context to add include to
   \param include new include to add
@@ -391,7 +391,7 @@
 */
 int ast_context_add_include(const char *context, const char *include, const char *registrar);
 
-//! Add an include
+/* ! Add an include */
 /*!
   \param con context to add the include to
   \param include include to add
@@ -401,25 +401,25 @@
 */
 int ast_context_add_include2(struct ast_context *con, const char *include, const char *registrar);
 
-//! Removes an include
+/* ! Removes an include */
 /*!
  * See add_include
  */
 int ast_context_remove_include(const char *context, const char *include,const  char *registrar);
-//! Removes an include by an ast_context structure
+/* ! Removes an include by an ast_context structure */
 /*!
  * See add_include2
  */
 int ast_context_remove_include2(struct ast_context *con, const char *include, const char *registrar);
 
-//! Verifies includes in an ast_contect structure
+/* ! Verifies includes in an ast_contect structure */
 /*!
  * \param con context in which to verify the includes
  * Returns 0 if no problems found, -1 if there were any missing context
  */
 int ast_context_verify_includes(struct ast_context *con);
 	  
-//! Add a switch
+/* ! Add a switch */
 /*!
  * \param context context to which to add the switch
  * \param sw switch to add
@@ -430,13 +430,13 @@
  * It returns 0 on success, -1 on failure
  */
 int ast_context_add_switch(const char *context, const char *sw, const char *data, int eval, const char *registrar);
-//! Adds a switch (first param is a ast_context)
+/* ! Adds a switch (first param is a ast_context) */
 /*!
  * See ast_context_add_switch()
  */
 int ast_context_add_switch2(struct ast_context *con, const char *sw, const char *data, int eval, const char *registrar);
 
-//! Remove a switch
+/* ! Remove a switch */
 /*!
  * Removes a switch with the given parameters
  * Returns 0 on success, -1 on failure
@@ -444,7 +444,7 @@
 int ast_context_remove_switch(const char *context, const char *sw, const char *data, const char *registrar);
 int ast_context_remove_switch2(struct ast_context *con, const char *sw, const char *data, const char *registrar);
 
-//! Simply remove extension from context
+/* ! Simply remove extension from context */
 /*!
  * \param context context to remove extension from
  * \param extension which extension to remove
@@ -458,7 +458,7 @@
 int ast_context_remove_extension2(struct ast_context *con, const char *extension,
 	int priority, const char *registrar);
 
-//! Add an ignorepat
+/* ! Add an ignorepat */
 /*!
  * \param context which context to add the ignorpattern to
  * \param ignorpat ignorepattern to set up for the extension
@@ -480,7 +480,7 @@
 int ast_context_remove_ignorepat(const char *context, const char *ignorepat, const char *registrar);
 int ast_context_remove_ignorepat2(struct ast_context *con, const char *ignorepat, const char *registrar);
 
-//! Checks to see if a number should be ignored
+/* ! Checks to see if a number should be ignored */
 /*!
  * \param context context to search within
  * \param extension to check whether it should be ignored or not
@@ -490,26 +490,26 @@
 int ast_ignore_pattern(const char *context, const char *pattern);
 
 /* Locking functions for outer modules, especially for completion functions */
-//! Locks the contexts
+/* ! Locks the contexts */
 /*! Locks the context list
  * Returns 0 on success, -1 on error
  */
 int ast_lock_contexts(void);
 
-//! Unlocks contexts
+/* ! Unlocks contexts */
 /*!
  * Returns 0 on success, -1 on failure
  */
 int ast_unlock_contexts(void);
 
-//! Locks a given context
+/* ! Locks a given context */
 /*!
  * \param con context to lock
  * Locks the context.
  * Returns 0 on success, -1 on failure
  */
 int ast_lock_context(struct ast_context *con);
-//! Unlocks the given context
+/* ! Unlocks the given context */
 /*!
  * \param con context to unlock
  * Unlocks the given context
Index: include/asterisk/rtp.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/rtp.h,v
retrieving revision 1.18
diff -u -r1.18 rtp.h
--- include/asterisk/rtp.h	7 Jan 2005 07:11:40 -0000	1.18
+++ include/asterisk/rtp.h	15 Jan 2005 05:16:05 -0000
@@ -82,7 +82,7 @@
 
 int ast_rtp_settos(struct ast_rtp *rtp, int tos);
 
-// Setting RTP payload types from lines in a SDP description:
+/*  Setting RTP payload types from lines in a SDP description: */
 void ast_rtp_pt_clear(struct ast_rtp* rtp);
 /* Set payload types to defaults */
 void ast_rtp_pt_default(struct ast_rtp* rtp);
@@ -90,7 +90,7 @@
 void ast_rtp_set_rtpmap_type(struct ast_rtp* rtp, int pt,
 			 char* mimeType, char* mimeSubtype);
 
-// Mapping between RTP payload format codes and Asterisk codes:
+/*  Mapping between RTP payload format codes and Asterisk codes: */
 struct rtpPayloadType ast_rtp_lookup_pt(struct ast_rtp* rtp, int pt);
 int ast_rtp_lookup_code(struct ast_rtp* rtp, int isAstFormat, int code);
 void ast_rtp_offered_from_local(struct ast_rtp* rtp, int local);
@@ -98,7 +98,7 @@
 void ast_rtp_get_current_formats(struct ast_rtp* rtp,
 			     int* astFormats, int* nonAstFormats);
 
-// Mapping an Asterisk code into a MIME subtype (string):
+/*  Mapping an Asterisk code into a MIME subtype (string): */
 char* ast_rtp_lookup_mime_subtype(int isAstFormat, int code);
 
 void ast_rtp_setnat(struct ast_rtp *rtp, int nat);
Index: include/asterisk/sched.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/sched.h,v
retrieving revision 1.3
diff -u -r1.3 sched.h
--- include/asterisk/sched.h	6 Nov 2001 17:33:30 -0000	1.3
+++ include/asterisk/sched.h	15 Jan 2005 05:16:05 -0000
@@ -18,7 +18,7 @@
 extern "C" {
 #endif
 
-//! Max num of schedule structs
+/* ! Max num of schedule structs */
 /*!
  * The max number of schedule structs to keep around
  * for use.  Undefine to disable schedule structure
@@ -29,14 +29,14 @@
 
 struct sched_context;
 
-//! New schedule context
+/* ! New schedule context */
 /* !
  * Create a scheduling context
  * Returns a malloc'd sched_context structure, NULL on failure
  */
 extern struct sched_context *sched_context_create(void);
 
-//! destroys a schedule context
+/* ! destroys a schedule context */
 /*!
  * \param c Context to free
  * Destroys (free's) the given sched_context structure
@@ -44,7 +44,7 @@
  */
 void sched_context_destroy(struct sched_context *c);
 
-//! callback for a cheops scheduler
+/* ! callback for a cheops scheduler */
 /*! 
  * A cheops scheduler callback takes a pointer with callback data and
  * returns a 0 if it should not be run again, or non-zero if it should be
@@ -53,7 +53,7 @@
 typedef int (*ast_sched_cb)(void *data);
 #define AST_SCHED_CB(a) ((ast_sched_cb)(a))
 
-//!Adds a scheduled event
+/* !Adds a scheduled event */
 /*! 
  * \param con Schduler context to add
  * \param when how many milliseconds to wait for event to occur
@@ -66,7 +66,7 @@
  */
 extern int ast_sched_add(struct sched_context *con, int when, ast_sched_cb callback, void *data);
 
-//! Deletes a scheduled event
+/* ! Deletes a scheduled event */
 /*!
  * \param con scheduling context to delete item from
  * \param id ID of the scheduled item to delete
@@ -76,7 +76,7 @@
  */
 extern int ast_sched_del(struct sched_context *con, int id);
 
-//! Determines number of seconds until the next outstanding event to take place
+/* ! Determines number of seconds until the next outstanding event to take place */
 /*!
  * \param con context to act upon
  * Determine the number of seconds until the next outstanding event
@@ -87,7 +87,7 @@
  */
 extern int ast_sched_wait(struct sched_context *con);
 
-//! Runs the queue
+/* ! Runs the queue */
 /*!
  * \param con Scheduling context to run
  * Run the queue, executing all callbacks which need to be performed
@@ -95,7 +95,7 @@
  */
 extern int ast_sched_runq(struct sched_context *con);
 
-//!Dumps the scheduler contents
+/* !Dumps the scheduler contents */
 /*!
  * \param con Context to dump
  * Debugging: Dump the contents of the scheduler to stderr
Index: include/asterisk/tdd.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/tdd.h,v
retrieving revision 1.1
diff -u -r1.1 tdd.h
--- include/asterisk/tdd.h	10 Nov 2001 20:30:19 -0000	1.1
+++ include/asterisk/tdd.h	15 Jan 2005 05:16:05 -0000
@@ -22,13 +22,13 @@
 struct tdd_state;
 typedef struct tdd_state TDDSTATE;
 
-//! CallerID Initialization
+/* ! CallerID Initialization */
 /*!
  * Initializes the TDD system.  Mostly stuff for inverse FFT
  */
 extern void tdd_init(void);
 
-//! Generates a CallerID FSK stream in ulaw format suitable for transmission.
+/* ! Generates a CallerID FSK stream in ulaw format suitable for transmission. */
 /*!
  * \param buf Buffer to use. This needs to be large enough to accomodate all the generated samples.
  * \param string This is the string to send.
@@ -37,14 +37,14 @@
 */
 extern int tdd_generate(struct tdd_state *tdd, unsigned char *buf, char *string);
 
-//! Create a TDD state machine
+/* ! Create a TDD state machine */
 /*!
  * This function returns a malloc'd instance of the tdd_state data structure.
  * Returns a pointer to a malloc'd tdd_state structure, or NULL on error.
  */
 extern struct tdd_state *tdd_new(void);
 
-//! Read samples into the state machine, and return character (if any).
+/* ! Read samples into the state machine, and return character (if any). */
 /*!
  * \param tdd Which state machine to act upon
  * \param buffer containing your samples
@@ -56,14 +56,14 @@
  */
 extern int tdd_feed(struct tdd_state *tdd, unsigned char *ubuf, int samples);
 
-//! Free a TDD state machine
+/* ! Free a TDD state machine */
 /*!
  * \param tdd This is the tdd_state state machine to free
  * This function frees tdd_state tdd.
  */
 extern void tdd_free(struct tdd_state *tdd);
 
-//! Generate Echo Canceller diable tone (2100HZ)
+/* ! Generate Echo Canceller diable tone (2100HZ) */
 /*!
  * \param outbuf This is the buffer to receive the tone data
  * \param len This is the length (in samples) of the tone data to generate
Index: include/asterisk/translate.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/translate.h,v
retrieving revision 1.5
diff -u -r1.5 translate.h
--- include/asterisk/translate.h	1 Aug 2004 14:19:04 -0000	1.5
+++ include/asterisk/translate.h	15 Jan 2005 05:16:05 -0000
@@ -25,7 +25,7 @@
 /* Declared by individual translators */
 struct ast_translator_pvt;
 
-//! data structure associated with a translator
+/* ! data structure associated with a translator */
 struct ast_translator {
 	/*! Name of translator */
 	char name[80];
@@ -52,7 +52,7 @@
 
 struct ast_trans_pvt;
 
-//! Register a translator
+/* ! Register a translator */
 /*! 
  * \param t populated ast_translator structure
  * This registers a codec translator with asterisk
@@ -60,7 +60,7 @@
  */
 extern int ast_register_translator(struct ast_translator *t);
 
-//! Unregister a translator
+/* ! Unregister a translator */
 /*!
  * \param t translator to unregister
  * Unregisters the given tranlator
@@ -68,7 +68,7 @@
  */
 extern int ast_unregister_translator(struct ast_translator *t);
 
-//! Chooses the best translation path
+/* ! Chooses the best translation path */
 /*! 
  * Given a list of sources, and a designed destination format, which should
    I choose? Returns 0 on success, -1 if no path could be found.  Modifies
@@ -76,7 +76,7 @@
    */
 extern int ast_translator_best_choice(int *dsts, int *srcs);
 
-//!Builds a translator path
+/* !Builds a translator path */
 /*! 
  * \param dest destination format
  * \param source source format
@@ -85,14 +85,14 @@
  * */
 extern struct ast_trans_pvt *ast_translator_build_path(int dest, int source);
 
-//! Frees a translator path
+/* ! Frees a translator path */
 /*!
  * \param tr translator path to get rid of
  * Frees the given translator path structure
  */
 extern void ast_translator_free_path(struct ast_trans_pvt *tr);
 
-//! translates one or more frames
+/* ! translates one or more frames */
 /*! 
  * \param tr translator structure to use for translation
  * \param f frame to translate
Index: include/asterisk/ulaw.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/ulaw.h,v
retrieving revision 1.2
diff -u -r1.2 ulaw.h
--- include/asterisk/ulaw.h	7 Dec 2001 22:57:34 -0000	1.2
+++ include/asterisk/ulaw.h	15 Jan 2005 05:16:05 -0000
@@ -14,18 +14,18 @@
 #ifndef _ASTERISK_ULAW_H
 #define _ASTERISK_ULAW_H
 
-//! Init the ulaw conversion stuff
+/* ! Init the ulaw conversion stuff */
 /*!
  * To init the ulaw to slinear conversion stuff, this needs to be run.
  */
 extern void ast_ulaw_init(void);
 
-//! converts signed linear to mulaw
+/* ! converts signed linear to mulaw */
 /*!
   */
 extern unsigned char __ast_lin2mu[16384];
 
-//! help
+/* ! help */
 extern short __ast_mulaw[256];
 
 #define AST_LIN2MU(a) (__ast_lin2mu[((unsigned short)(a)) >> 2])
Index: include/asterisk/vmodem.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/vmodem.h,v
retrieving revision 1.12
diff -u -r1.12 vmodem.h
--- include/asterisk/vmodem.h	2 Oct 2004 00:58:31 -0000	1.12
+++ include/asterisk/vmodem.h	15 Jan 2005 05:16:05 -0000
@@ -67,7 +67,7 @@
 #define MODEM_MODE_WAIT_RING		1
 #define MODEM_MODE_WAIT_ANSWER		2
 
-//! Private data that needs to be filled by modem driver
+/* ! Private data that needs to be filled by modem driver */
 struct ast_modem_pvt {
 	/*! Raw file descriptor for this device */
 	int fd;							
@@ -142,32 +142,32 @@
 };
 
 
-//! Register a modem driver
+/* ! Register a modem driver */
 /*! Register a driver */
 extern int ast_register_modem_driver(struct ast_modem_driver *mc);
 
-//! Unregisters a modem driver
+/* ! Unregisters a modem driver */
 /*! Unregister a driver */
 extern int ast_unregister_modem_driver(struct ast_modem_driver *mc);
 
-//! Sends command
+/* ! Sends command */
 /*! Send the command cmd (length len, or 0 if pure ascii) on modem */
 extern int ast_modem_send(struct ast_modem_pvt *p, char *cmd, int len);
 
-//! Waits for result
+/* ! Waits for result */
 /*! Wait for result to occur.  Return non-zero if times out or error, last
    response is stored in p->response  */
 extern int ast_modem_expect(struct ast_modem_pvt *p,  char *result, int timeout);
 
-//! Waits for result
+/* ! Waits for result */
 /*! Wait for result to occur.    response is stored in p->response  */
 extern int ast_modem_read_response(struct ast_modem_pvt *p,  int timeout);
 
-//! Used to start up the PBX on a RING
+/* ! Used to start up the PBX on a RING */
 /*! Used by modem drivers to start up the PBX on a RING */
 extern struct ast_channel *ast_modem_new(struct ast_modem_pvt *i, int state);
 
-//! Trim string of trailing stuff
+/* ! Trim string of trailing stuff */
 /*! Trim off trailing mess */
 extern void ast_modem_trim(char *s);
 #endif
